import { ISvgProps } from '../types';

const defaultProps: ISvgProps = {
	viewBox: '0 0 40 40',
	pathClassName: 'st0'
};

export function SvgLookalike(props: ISvgProps) {
	props = { ...defaultProps, ...props };
	const { pathClassName, ...svgProps } = props;

	return (
		<svg {...svgProps}>
			<rect id='Rectangle_2236' data-name='Rectangle 2236' fill='none' />

			<g id='Group_3036' data-name='Group 3036' transform='translate(5 5)'>
				<path
					id='Path_3837'
					data-name='Path 3837'
					d='M2.5,18.775a8.666,8.666,0,0,1,7.394-8.527.363.363,0,0,0,.368-.36A8.65,8.65,0,1,1,20.5,19.644c-.705.139-.705.139-.843.835a8.651,8.651,0,0,1-17.025-.294c-.075-.465-.091-.939-.134-1.409m23.88-7.581a7.588,7.588,0,0,0-15.15-.649c-.059.513-.159.611-.684.672a7.588,7.588,0,1,0,8.207,8.235c.071-.573.141-.657.729-.713a7.587,7.587,0,0,0,6.9-7.546'
					transform='translate(0.782 1.266)'
				/>
				<path
					id='Path_3838'
					data-name='Path 3838'
					d='M15.627,11.153a.559.559,0,0,0-.574-.527.546.546,0,0,0-.507.55.541.541,0,0,0,.529.524.555.555,0,0,0,.552-.548m-4.459,3.387a.537.537,0,1,0,0,1.073.536.536,0,1,0,0-1.073m2.364,1.932a.53.53,0,1,0-1.058-.033.53.53,0,1,0,1.058.033m1.625,1.322a.529.529,0,1,0-.022-1.058.51.51,0,0,0-.519.52.516.516,0,0,0,.541.538m-3.52-8.825a.521.521,0,0,0-.517-.527A.532.532,0,1,0,11.133,9.5a.518.518,0,0,0,.5-.536m2.142.8a.531.531,0,0,0-1.061.028A.531.531,0,1,0,13.78,9.77M9.51,11.095a.531.531,0,1,0-1.061,0,.531.531,0,1,0,1.061,0M16.994,13a.517.517,0,0,0-.553-.528.528.528,0,1,0,.039,1.056A.515.515,0,0,0,16.994,13m-7.2-.284a.509.509,0,0,0-.531.507.518.518,0,0,0,.532.548.527.527,0,1,0,0-1.055m6.952,2.419a.53.53,0,1,0,.561-.523.524.524,0,0,0-.561.523'
					transform='translate(2.647 3.126)'
				/>
				<path
					id='Path_3839'
					data-name='Path 3839'
					d='M14.173,10.632a.554.554,0,0,1-.552.548.538.538,0,0,1-.022-1.074.558.558,0,0,1,.574.527'
					transform='translate(4.101 3.647)'
				/>
				<path id='Path_3840' data-name='Path 3840' d='M10.651,13.085a.536.536,0,0,1,0,1.073.537.537,0,1,1,0-1.073' transform='translate(3.166 4.581)' />
				<path id='Path_3841' data-name='Path 3841' d='M12.573,14.688a.53.53,0,1,1-.533-.553.529.529,0,0,1,.533.553' transform='translate(3.607 4.91)' />
				<path id='Path_3842' data-name='Path 3842' d='M13.686,15.816a.529.529,0,1,1,.521-.52.517.517,0,0,1-.521.52' transform='translate(4.118 5.105)' />
				<path
					id='Path_3843'
					data-name='Path 3843'
					d='M11.131,8.968a.518.518,0,0,1-.5.537.532.532,0,1,1-.012-1.062.519.519,0,0,1,.516.525'
					transform='translate(3.154 3.127)'
				/>
				<path id='Path_3844' data-name='Path 3844' d='M12.761,9.576A.531.531,0,1,1,11.7,9.6a.531.531,0,0,1,1.061-.029' transform='translate(3.665 3.32)' />
				<path id='Path_3845' data-name='Path 3845' d='M9.51,10.59a.531.531,0,1,1-1.061,0,.531.531,0,1,1,1.061,0' transform='translate(2.647 3.631)' />
				<path
					id='Path_3846'
					data-name='Path 3846'
					d='M15.211,12.037a.513.513,0,0,1-.513.527.528.528,0,1,1-.038-1.055.515.515,0,0,1,.552.528'
					transform='translate(4.43 4.087)'
				/>
				<path id='Path_3847' data-name='Path 3847' d='M9.6,11.695a.528.528,0,1,1-.531.507.509.509,0,0,1,.531-.507' transform='translate(2.84 4.145)' />
				<path id='Path_3848' data-name='Path 3848' d='M14.764,13.662a.53.53,0,1,1,.538.546.523.523,0,0,1-.538-.546' transform='translate(4.625 4.598)' />
			</g>
		</svg>
	);
}
